### Method

# Shumate PathLayer set_dash

#### Declaration [src]

    void
    shumate_path_layer_set_dash (
      ShumatePathLayer* self,
      GList* dash_pattern
    )

#### Description [src]

Sets dashed line pattern in a way similar to `cairo_set_dash()` of cairo. This method supports only integer values for segment lengths. The values have to be passed inside the data pointer of the list (using the `GUINT_TO_POINTER` conversion)

Pass `NULL` to use solid line.

#### Parameters

`dash_pattern`

  Type: A list of `guint`

  List of integer values representing lengths of dashes/spaces (see cairo documentation of cairo_set_dash()).

  The data is owned by the caller of the method.